AccountExpiredException (Java SE 17 & JDK 17)
Description: declaration: module: java.base, package: javax.security.auth.login, class: AccountExpiredException
Keywords: javax.security.auth.login.AccountExpiredException class

Module java.base
Package javax.security.auth.login

# Class AccountExpiredException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
javax.security.auth.login.LoginException
javax.security.auth.login.AccountException
javax.security.auth.login.AccountExpiredException

All Implemented Interfaces:
  `Serializable`

public class AccountExpiredException extends AccountException
Signals that a user account has expired.

This exception is thrown by LoginModules when they determine that an account has expired. For example, a `LoginModule`, after successfully authenticating a user, may determine that the user's account has expired. In this case the `LoginModule` throws this exception to notify the application. The application can then take the appropriate steps to notify the user.

Since:
  1.4
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccountExpiredException()`
  Constructs a AccountExpiredException with no detail message.
  `AccountExpiredException(String msg)`
  Constructs a AccountExpiredException with the specified detail message.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AccountExpiredException

    public AccountExpiredException()
    Constructs a AccountExpiredException with no detail message. A detail message is a String that describes this particular exception.

  - ### AccountExpiredException

    public AccountExpiredException(String msg)
    Constructs a AccountExpiredException with the specified detail message. A detail message is a String that describes this particular exception.
    Parameters:
      `msg` - the detail message.